> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/weekly-balance/get-weekly-balance-by-date.md).

# Get weekly balance by date

Get all numbers, comments and confirmation information for the specified week.

Weekly balance page in SameSystem is used for displaying sales figures, footfall counter data, and KPIs. These numbers can be delivered and shown on an hourly or daily format.

To send sales figures you need to know the different sales figures fields and their ids. Supervisors and admins create these fields in the SameSystem interface, and they should be created before being able to send any sales data.

We are very flexible when it comes to the configuration of these fields: we can create simple import fields for Sales incl. VAT, Sales excl. VAT, Returns, Discounts, No of transactions, No of sold products, etc., and calculation fields (KPIs), and we can even group them (customers can have product categories or payment methods grouped).

A client can have multiple cash registers in one shop, and they take values from 1,2, etc. If you want to deliver sales data and the shop has only one cash register, the register\_number parameter will be 1. If you are going to send sales data and the shop has multiple cash registers, register\_number parameter can be 2 (if sales data belongs to a second cash register), 3 (if sales data belongs to a third cash register) and so on so forth. The default register\_id is no 1.

Hourly sales numbers should be sent in the department's local time.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/weekly_balance/{date}":{"get":{"tags":["Weekly balance"],"summary":"Get weekly balance by date","description":"Get all numbers, comments and confirmation information for the specified week.\n\nWeekly balance page in SameSystem is used for displaying sales figures, footfall counter data, and KPIs. These numbers can be delivered and shown on an hourly or daily format.\n\nTo send sales figures you need to know the different sales figures fields and their ids. Supervisors and admins create these fields in the SameSystem interface, and they should be created before being able to send any sales data. \n\nWe are very flexible when it comes to the configuration of these fields: we can create simple import fields for Sales incl. VAT, Sales excl. VAT, Returns, Discounts, No of transactions, No of sold products, etc., and calculation fields (KPIs), and we can even group them (customers can have product categories or payment methods grouped).\n\nA client can have multiple cash registers in one shop, and they take values from 1,2, etc. If you want to deliver sales data and the shop has only one cash register, the register_number parameter will be 1. If you are going to send sales data and the shop has multiple cash registers, register_number parameter can be 2 (if sales data belongs to a second cash register), 3  (if sales data belongs to a third cash register) and so on so forth. The default register_id is no 1.\n\nHourly sales numbers should be sent in the department's local time.","operationId":"get-clientToken-weekly_balance-date","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you send the data to the right department.","required":true,"schema":{"type":"string"}},{"name":"date","in":"path","description":"YYYY-MM-DD","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WeeklyBalance"}}}}}}}},"components":{"schemas":{"WeeklyBalance":{"title":"WeeklyBalance","type":"object","properties":{"register_count":{"type":"number","description":"The total number of registers"},"registers":{"type":"array","description":"Data from the registers","items":{"type":"object","properties":{"register_number":{"type":"number","description":"Register number.\n0 = Total from all registers.\n1 = Register 1, 2= Register 2 and so on."},"week_approved":{"type":"boolean","description":"Will be true if the whole week has been approved automatically. This will happen when all days in the week have been confirmed."},"unavailable_fields":{"type":"array","items":{"type":"object"}},"confirmed":{"type":"object","additionalProperties":{"type":"object","properties":{"user":{"type":"string","description":"Name of the user who confirmed the register."},"datetime":{"type":"string","description":"Date and time the register was confirmed."}}},"description":"Confirmation object keyed by date (YYYY-MM-DD)."},"comments":{"type":"object","additionalProperties":{"type":"string"},"description":"Comments keyed by date (YYYY-MM-DD). The key represents the date of the comment."},"lines":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/RegisterLine"}},"description":"Register lines keyed by (YYYY-MM-DD). Each date contains the registered field values for that day."},"expenses":{"type":"array","description":"Not used or very limited use.","items":{"type":"object","properties":{"group_id":{"type":"number"},"title":{"type":"string"},"value":{"type":"number"}}}},"deposits":{"type":"array","description":"Not used or very limited use.","items":{"type":"object","properties":{"group_id":{"type":"number"},"title":{"type":"string"},"value":{"type":"number"}}}}}}}},"description":"Weekly balance sheet with sales figures, KPIs and counter data."},"RegisterLine":{"title":"RegisterLine","type":"object","properties":{"field_id":{"type":"integer","description":"ID of the register field."},"value":{"description":"Value of the register field. The value can be numeric or text depending on the field.\n","oneOf":[{"type":"number"},{"type":"string"}]}},"description":"Register line used in weekly balance"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/weekly-balance/get-weekly-balance-by-date.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
